Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Employees

List Employees

GET
/v1/employees

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id[in]?string
team?string
full_name?string
is_active?boolean
is_admin?boolean
employee_invite_status?string
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length
include?array<>

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/employees"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "display_name": "string",      "username": "string",      "full_name": "string",      "email": "string",      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",      "is_admin": true,      "signature": "string",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "locale": "string",      "enable_shortcuts": true,      "is_web_push_enabled": true,      "is_mobile_push_enabled": true,      "is_active": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "has_web_device": true,      "has_mobile_device": true,      "employee_invite": {        "employee_id": "df4fd699-0854-488d-9cc2-15e751a80ee3",        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "status": "string",        "invited_at": "2019-08-24T14:15:22Z",        "accepted_at": "2019-08-24T14:15:22Z",        "declined_at": "2019-08-24T14:15:22Z",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "teams": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",          "is_default": true,          "is_gallery": true,          "name": "string",          "emoji": "🏡",          "key": null,          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        }      ]    }  ],  "next_page_url": "string",  "previous_page_url": "string"}